## org.apache.poi.xssf.usermodel
Class XSSFAnchor

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFAnchor

Direct Known Subclasses:
  XSSFChildAnchor, XSSFClientAnchor

    public abstract class XSSFAnchor

extends java.lang.Object

An anchor is what specifics the position of a shape within a client object or within another containing shape.

Author:
  Yegor Kozlov

Constructor Summary
`XSSFAnchor()`

Method Summary
`abstract int` `getDx1()`
`abstract int` `getDx2()`
`abstract int` `getDy1()`
`abstract int` `getDy2()`
`abstract void` `setDx1(int dx1)`
`abstract void` `setDx2(int dx2)`
`abstract void` `setDy1(int dy1)`
`abstract void` `setDy2(int dy2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFAnchor

    public XSSFAnchor()

Method Detail

### getDx1

    public abstract int getDx1()

### setDx1

    public abstract void setDx1(int dx1)

### getDy1

    public abstract int getDy1()

### setDy1

    public abstract void setDy1(int dy1)

### getDy2

    public abstract int getDy2()

### setDy2

    public abstract void setDy2(int dy2)

### getDx2

    public abstract int getDx2()

### setDx2

    public abstract void setDx2(int dx2)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.